<?php

namespace App\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Attribute\Route;

class ProfileController extends AbstractController
{
    #[Route('/profile', name: 'app_profile')]
    public function index(): Response
    {
        return $this->render('profile/index.html.twig', [
            'controller_name' => 'ProfileController',
        ]);
    }

    #[Route('/changepasswd', name: 'app_change_passwd')]
    public function changePassword(): Response
    {
        $this->addFlash('notice', 'Password successfully updated');

        return $this->redirectToRoute('app_profile');
    }
}
